# List Workflow Runs List all Workflow Runs. ## Parameters - `limit` (integer, optional) Restrict page size to no more than this number. - `page` (string, optional) Token of the current page in the list request. - `status` (array of enums, optional) When retrieving Workflow Runs, include only those with the specified status values. If not specified, all Runs are returned. Possible enum values: - `failed` This Workflow Run has terminated because of a failure. - `started` This Workflow Run is actively executing. - `succeeded` This Workflow Run has progressed to a successful completion. - `workflow` (array of strings, optional) When retrieving Workflow Runs, include only those associated with the Workflows specified. If not specified, all Runs are returned. ## Returns ## Response attributes - `data` (array of objects) One page of retrieved Workflow Runs. - `data.id` (string) The unique ID of the Workflow Run. - `data.object` (string, value is "v2.extend.workflow_run") String representing the object’s type. Objects of the same type share the same value of the object field. - `data.created` (timestamp) When the Workflow Run was created. - `data.livemode` (boolean) Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode. - `data.status` (enum) The current Workflow Run execution status. Possible enum values: - `failed` This Workflow Run has terminated because of a failure. - `started` This Workflow Run is actively executing. - `succeeded` This Workflow Run has progressed to a successful completion. - `data.status_details` (object, nullable) Details about the Workflow Run’s status transitions. - `data.status_details.failed` (object, nullable) Details about the Workflow Run’s transition into the FAILED state. - `data.status_details.failed.error_message` (string, nullable) Optional details about the failure result. - `data.status_details.started` (object, nullable) Details about the Workflow Run’s transition in to the STARTED state. - `data.status_details.succeeded` (object, nullable) Details about the Workflow Run’s transition into the SUCCEEDED state. - `data.status_transitions` (object) Summary information about the Workflow Run’s status transitions. - `data.status_transitions.failed_at` (timestamp, nullable) When the Workflow Run failed. - `data.status_transitions.started_at` (timestamp, nullable) When the Workflow Run was started. - `data.status_transitions.succeeded_at` (timestamp, nullable) When the Workflow Run succeeded. - `data.trigger` (object) A record of the trigger that launched this Workflow Run. - `data.trigger.event_trigger` (object, nullable) The Workflow Run was launched when Stripe emitted a certain event. - `data.trigger.event_trigger.id` (string) The Stripe event that triggered this Run. - `data.trigger.event_trigger.context` (string) The account that generated the triggering event. - `data.trigger.event_trigger.type` (string) The Stripe event type triggered this Run. - `data.trigger.manual` (object, nullable) The Workflow Run was launched through a direct call, using either the Dashboard or the Stripe API. - `data.trigger.manual.input_parameters` (map) The input parameters used when launching the Run. - `data.trigger.type` (enum) Which type of trigger this is. Possible enum values: - `event_trigger` This Workflow is triggerable through a Stripe-generated event. - `manual` This Workflow is triggerable by invoking it through the Dashboard or the API. - `data.workflow` (string) The Workflow this Run belongs to. - `next_page_url` (string, nullable) URL to fetch the next page of the list. If there are no more pages, the value is null. - `previous_page_url` (string, nullable) URL to fetch the previous page of the list. If there are no previous pages, the value is null. ```curl curl https://api.stripe.com/v2/extend/workflow_runs \ -H "Authorization: Bearer <>" \ -H "Stripe-Version: 2026-04-22.preview" ``` ### Response ```json { "data": [ { "id": "wfrun_test_61UTL7vuMHzp5fHTd16TT0rUFzSQLefl99yAJBArITFo", "object": "v2.extend.workflow_run", "created": "2026-04-08T14:33:27.076Z", "status": "succeeded", "status_details": null, "status_transitions": { "failed_at": null, "started_at": "2026-04-08T14:33:27.335Z", "succeeded_at": "2026-04-08T14:33:29.177Z" }, "trigger": { "event_trigger": { "id": "evt_1TJxAYHa3TtWqyXkmZHWuTlk", "context": "acct_1Nv0FGQ9RKHgCVdK", "type": "customer.created" }, "type": "event_trigger" }, "workflow": "wf_test_61UNwDso5RkJhsXt116TT0rUFzSQLefl99yAJBArIFXc", "livemode": false }, { "id": "wfrun_test_61UTL8xvNHzp5fHTd16TT0rUFzSQLefl99yAJBArIUGp", "object": "v2.extend.workflow_run", "created": "2026-04-08T15:10:42.531Z", "status": "succeeded", "status_details": null, "status_transitions": { "failed_at": null, "started_at": "2026-04-08T15:10:42.718Z", "succeeded_at": "2026-04-08T15:10:44.892Z" }, "trigger": { "event_trigger": { "id": "evt_1TJxBZHa3TtWqyXkpQRWvUml", "context": "acct_1Nv0FGQ9RKHgCVdK", "type": "customer.created" }, "type": "event_trigger" }, "workflow": "wf_test_61UNwDso5RkJhsXt116TT0rUFzSQLefl99yAJBArIFXc", "livemode": false } ], "next_page_url": null, "previous_page_url": null } ```